%-------------Reactorinlet.m---------------
%-------------Getting values from HYSYS----
%-----------Ole Kristian Nordvg-----------
%----------------22.05.2012----------------

format short

h=actxserver('HYSYS.Application');          %Create an interface
hyCase=h.Activedocument;                    %between MATLAB and HYSYS
Sol=hyCase.Solver;
f=hyCase.Flowsheet;
g=f.Materialstreams;
Sol.CanSolve=1;

%Atom matrix
%  1  2  3    4     5      6       7       8        9       
%[H2 CO CO2  H2O  nC1-4  nC5-9   nC10-14  nC15-20  nC21+

%10        11        12        13
%iC5-9   iC10-14   iC15-20   iC21+]


%Mass fractions at inlet
    win=g.Item('18').componentMassFractionValue;
    win=[win(26) win(28:29) win(25) win(1:3) win(5) win(7:23) win(30) (0.1152/0.5452)*win(31) (0.22/0.5452)*win(31) (0.21/0.5452)*win(31)];
    Win=sum(win);

%Total flows at inlet
    Min=g.Item('18').MassFlowValue;                                    %Total mass flow [kg/s]
    Fin=g.Item('18').MolarFlowValue;                                   %Total mole flow in [kmole/s]
    Vin=g.Item('Flash out vapor').ActualVolumeFlowValue;               %Actual volume flow [m3/s]
    
%Molecular weight of the mixture
    Mmix=g.Item('18').MolecularweightValue;
    
%Temperature in
    Tin=273.15+g.Item('18').TemperatureValue;                          %Temperature at inlet [K]
    
%Pressure in
    pin=1000*g.Item('18').PressureValue;                               %Pressure inlet [Pa]

%Mass density 
    rhogasfeed=g.Item('Flash out vapor').MassDensityValue;             %Mass density at inlet [kg/m3]
    
%Gas viscosity
    mygas=(1/1000)*g.Item('Flash out vapor').ViscosityValue;           %Dynamic viscosity [Pa*s]     
