%--------constant.m------------ 
%-------Ole Kristian Nordvg-----
%---------22.05.2012------

global Vend

R=8.314;                %Universal gas constant [kJ/(kmol*K)]

%Modelling and Optimization of Fischer-Tropsch products hydrocracking,
%Fernandes, Teles Fuel processing Technology 88 2007
rhocat=950;         %kg/m3reactor    rhocat*epsilon


%Modelling of FT products hydrocracking
%Pellegrini, Calemma ....
%Model 1
my5=(1/2);                  
my5star=(1/3);
my6=(9/16);

%Kliso [Pa-1]
Kliso59=5.46e0;
Kliso1014=5.48e1;
Kliso1522=9.46e2;
Kliso22=9.53e7;

%Kln [Pa-1]
Kln14=5.46e-2;
Kln59=5.47e0;
Kln1014=5.48e1;
Kln1522=9.05e2;
Kln22=7.19e7;

%Keq []
Keq59=7.19e2;
Keq1014=8.36e2;
Keq1522=3.76e3;
Keq22=5.73e3;

%k0iso [kmol/(h*m3)]
k0iso59=1.14e23;
k0iso1014=2.60e24;                  
k0iso1522=9.47e27;
k0iso22=2.80e29;

%k0cr [kmol/(h*m3)]
k0cr59=4.48e22;             
k0cr1014=9.50e24;
k0cr1522=7.05e26;                   
k0cr22=7.90e27;

%Eiso [kJ/kmol]
Eiso59=1.94e5;
Eiso1014=1.94e5;
Eiso1522=1.94e5;
Eiso22=2.06e5;

%Ecr [kJ/kmol]
Ecr59=1.30e5;
Ecr1014=1.66e5;
Ecr1522=1.82e5;
Ecr22=1.87e5;


%the all component hydrocracking model
%Model 2
% my5=(1/2);                  
% my5star=(1/3);
% my6=(9/16);

%Kliso [Pa-1]
% Kliso59=5.46e0;
% Kliso1014=5.48e1;
% Kliso1522=9.46e2;
% Kliso22=9.53e7;
% 
% Kln [Pa-1]
% Kln14=5.46e-2;
% Kln59=5.47e0;
% Kln1014=5.48e1;
% Kln1522=9.05e2;
% Kln22=7.19e7;
% 
% %Keq []
% Keq59=3.59e3;
% Keq1014=3.78e3;
% Keq1522=3.86e3;
% Keq22=5.93e3;
% 
% %k0iso [kmol/(h*m3)]
% k0iso59=1.14e23;
% k0iso1014=7.60e24;                  
% k0iso1522=9.47e27;
% k0iso22=2.80e29;
% 
% %k0cr [kmol/(h*m3)]
% k0cr59=4.48e22;             
% k0cr1014=4.50e24;
% k0cr1522=3.05e26;                   
% k0cr22=2.99e27;
% 
% %Eiso [kJ/kmol]
% Eiso59=1.61e5;
% Eiso1014=1.68e5;
% Eiso1522=1.92e5;
% Eiso22=2.01e5;
% 
% %Ecr [kJ/kmol]
% Ecr59=1.34e5;
% Ecr1014=1.65e5;
% Ecr1522=1.85e5;
% Ecr22=1.93e5;
%----------------------------
Vend=33;                                           %Volume of reactor [m3]
dp=3e-3;                                           %diameter of catalyst particle [m]
dt=2*((Vend/6/pi)^(1/3));                          %diameter of reactor tube [m]
epsilon=0.8;                                       %void fraction
A=pi*dt*dt/4;                                      %Area of tube [m2]
h=Vend/A;                                          %Height of reactor


