%-----------enthalpiesandCp.m----------
%Standard enthalpies and specific heat capacity values
%----------Ole Kristian Nordvg--------
%----------22.05.2012------------------


%Enthalpies [kJ/kgmole]
DH0C14=(1/4)*(-74900-84738-103890-126190);                      %HYSYS
DH0C59=(1/5)*(-146490-167290-187890-208590-229190);             %HYSYS
DH0C1014=(1/5)*(-249790-270490-291090-311690-332290);           %HYSYS
DH0C1520=(1/6)*(-352990-373590-394190-414780-435390-456080);    %HYSYS                          
DH0C30=-664200;                                                 %HYSYS
DH0iC59=-192390;                                                %HYSYS, i-C7, 3metylhexane
DH0iC1014=-295200;                                              % Hopfe, D. Data Compilation of FIZ CHEMIE, Germany , p. 28 (1990) %iC12, 5Mundecane
DH0iC1520=-419700;                                              %same ref as above  %iC18, 2Mheptadecane
DH0iC30=-864700;                                                %Zhang, F.M.; Xu, G.D.; Qu, S.S., Studies on thermochemistry of porphyrins V...
%The standard energies of combustion and standard enthalpies of formation of bromoporphyrin compounds, Acta Chimica Sinica, 1990, 48, 38-41. [all data]
%iC30, squalane, liquid heat of formation
DH0H2=0;                                                    %HYSYS
DH0CO=-110590;                                              %HYSYS
DH0CO2=-393790;                                             %HYSYS    
DH0H2O=-241814;                                             %HYSYS

DH0=[DH0H2 DH0CO DH0CO2 DH0H2O DH0C14 DH0C59 DH0C1014 DH0C1520 DH0C30 DH0iC59 DH0iC1014 DH0iC1520 DH0iC30];

%Heat capacities (at 25 C) [kJ/(kgmole*K)]
CpC14=(1/4)*(36+53+74+97);                                  %SI
CpC59=(1/5)*(120+143+166+189+212);                          %SI
CpC1014=280;                                                %SI, dodecane
CpC1520=515.8;                                              %HYSYS, octadecane
CpC30=960.4;                                                %HYSYS
CpiC59=210.9;                                               %HYSYS, iC7, 3Mhexane
CpiC1014=372;                                               %Hopfe+++as above, iC12, 5Mundecane
CpiC1520=536;                                               %Hopfe+++,iC18, 2Mheptadecane
CpiC30=886.36;                                              %iC30, squalane Trejo, L.M.; Costas, M.; Patterson, D., Excess heat capacity of organic mixtures, Internat...
%                                                           DATA Series, Selected Data Mixt., 1991, Ser. [all data]
CpH2=29;                                                    %SI
CpCO=29;                                                    %SI
CpCO2=37;                                                   %SI
CpH2O=34;                                                   %SI

Cp=[CpH2 CpCO CpCO2 CpH2O CpC14 CpC59 CpC1014 CpC1520 CpC30 CpiC59 CpiC1014 CpiC1520 CpiC30];